\section{blinkyArray}
Up to now a standard blinker was illuminated. \RUST provides several data structures and 
possibilities to minimize programming work. Now the used pins shall be stored in a field 
to be able to work with them easier. This example is largely based on Blinky. The 
considered example can be found under \verb=src/bin/blinkyArray.rs=.
\begin{figure}[H]
	\centering
	{\tiny \lstinputlisting[linerange={5-5}]{../src/bin/blinkyArray.rs}}
	\caption{
Line 5: To store the listed pins in a field, their object type must be generalized. This is achieved by including DynPin.
	}
\end{figure}
\begin{figure}[H]
	\centering
	{\tiny \lstinputlisting[linerange={35-40}]{../src/bin/blinkyArray.rs}}
	\caption{
Line 35 to 40: Here all used pins are stored in a field of type 
	 \href{https://docs.rs/rp2040-hal/0.5.0/rp2040_hal/gpio/dynpin/index.html}{DynPin}. 
	 The method .into() executed on each pin, changes the object type of the pins to Dynpin.	
 }
\end{figure}
 \begin{figure}[H]
	\centering
	{\tiny \lstinputlisting[linerange={41-48}]{../src/bin/blinkyArray.rs}}
	\caption{
Line 41 to 48: Here all used pins are stored in a field of type 
	 \href{https://docs.rs/rp2040-hal/0.5.0/rp2040_hal/gpio/dynpin/index.html}{DynPin}. 
	 The method .into() executed on each pin, changes the object type of the pins to Dynpin.	
 }
\end{figure}
